import { BaseFeatureForProject } from './base-feature-for-project';
import type { BaseProject } from './base-project';
export declare class BaseFileFoldersOperations<PROJECT extends BaseProject = any> extends BaseFeatureForProject<PROJECT> {
    /**
     * Relative to project root
     * @returns list of files and folders to copy when copying project
     */
    protected fielsAndFoldersToCopy(): string[];
    moveProjectTo(destination: string): Promise<void>;
    deleteProject(options?: {
        skipChildren?: boolean;
    }): void;
    copyProjectTo(destination: string, options?: {
        skipChildren?: boolean;
    }): Promise<void>;
}
